| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableGeneric Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableGeneric:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableGeneric:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | __deepcopy__ (self, memo)
def | getGaudiType (self)
def | getDlls (self)
def | getHandle (self)
def | __setattr__ (self, name, value)
def | getJobOptName (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Attributes
| _name
| _properties

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 984 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.ConfigurableGeneric.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Definition at line 987 of file Configurable.py.

987 def __init__(self, name=Configurable.DefaultName):
988 Configurable.__init__(self, name)
989 self._name = name
990 self._properties = {}
991
GaudiKernel.Configurable.ConfigurableGeneric.__init__
def __init__(self, name=Configurable.DefaultName)
Definition: Configurable.py:987
GaudiKernel.Configurable.Configurable._name
_name
Definition: Configurable.py:315
GaudiKernel.Configurable.ConfigurableGeneric._properties
_properties
Definition: Configurable.py:990

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableGeneric.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Definition at line 992 of file Configurable.py.

992 def __deepcopy__(self, memo):
993 return self # algorithms are always shared
994
GaudiKernel.Configurable.ConfigurableGeneric.__deepcopy__
def __deepcopy__(self, memo)
Definition: Configurable.py:992

def GaudiKernel.Configurable.ConfigurableGeneric.__setattr__ | ( |  | self,
|  |  | name,
|  |  | value
| ) |  |

Definition at line 1001 of file Configurable.py.

1001 def __setattr__(self, name, value):
1002 # filter private (user) variables
1003 if name[0] == '_':
1004 super(ConfigurableGeneric, self).__setattr__(name, value)
1005 return
1006
1007 # filter configurable types
1008 if isinstance(value, Configurable):
1009 self.__dict__[name] = value
1010 return
1011
1012 # assume all the rest are properties
1013 if not name in self._properties:
1014 self._properties[name] = PropertyProxy(DummyDescriptor(name))
1015 self._properties[name].__set__(self, value)
1016
GaudiKernel.PropertyProxy.PropertyProxy
Definition: PropertyProxy.py:68
GaudiKernel.Configurable.ConfigurableGeneric.__setattr__
def __setattr__(self, name, value)
Definition: Configurable.py:1001
GaudiKernel.Configurable.DummyDescriptor
Definition: Configurable.py:973
GaudiKernel.Configurable.ConfigurableGeneric._properties
_properties
Definition: Configurable.py:990

def GaudiKernel.Configurable.ConfigurableGeneric.getDlls | ( |  | self | ) |

Definition at line 997 of file Configurable.py.

997 def getDlls(self): pass
998
GaudiKernel.Configurable.ConfigurableGeneric.getDlls
def getDlls(self)
Definition: Configurable.py:997

def GaudiKernel.Configurable.ConfigurableGeneric.getGaudiType | ( |  | self | ) |

Definition at line 995 of file Configurable.py.

995 def getGaudiType(self): return 'GenericComponent'
996
GaudiKernel.Configurable.ConfigurableGeneric.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:995

def GaudiKernel.Configurable.ConfigurableGeneric.getHandle | ( |  | self | ) |

Definition at line 999 of file Configurable.py.

999 def getHandle(self): pass
1000
GaudiKernel.Configurable.ConfigurableGeneric.getHandle
def getHandle(self)
Definition: Configurable.py:999

def GaudiKernel.Configurable.ConfigurableGeneric.getJobOptName | ( |  | self | ) |

Definition at line 1017 of file Configurable.py.

1017 def getJobOptName(self): return None
1018
1019
1020 # base classes for individual Gaudi algorithms/services/algtools ===========
GaudiKernel.Configurable.ConfigurableGeneric.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:1017

## Member Data Documentation

GaudiKernel.Configurable.ConfigurableGeneric._name
| private

Definition at line 989 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableGeneric._properties
| private

Definition at line 990 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py